#
# spec file for package python-getmac
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-getmac
Version:        0.8.2
Release:        bp154.1.22
Summary:        Module to get MAC addresses of remote hosts and local interfaces
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/GhostofGoes/getmac
Source:         https://files.pythonhosted.org/packages/source/g/getmac/getmac-%{version}.tar.gz
BuildRequires:  %{python_module pytest-benchmark}
BuildRequires:  %{python_module pytest-mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
A Python module to get MAC addresses of remote hosts and local interfaces.

%prep
%setup -q -n getmac-%{version}
sed -i "1,4{/\/usr\/bin\/env/d}" getmac/__main__.py
rm -r *egg-info
find . -type f -exec chmod -x {} \;

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export LANG=C.UTF-8
# test_cli_main fails in OBS not local run
# test_cli_multiple_debug_levels  same as above
%pytest tests -k 'not test_get_default_iface_freebsd and not test_cli_main and not test_cli_multiple_debug_levels'

%files %{python_files}
%doc CHANGELOG.md README.md
%license LICENSE
%python3_only %{_bindir}/getmac
%python3_only %{_mandir}/man1/getmac.1*
%{python_sitelib}/getmac*

%changelog
* Thu Apr 16 2020 Tomáš Chvátal <tchvatal@suse.com>
- Skip test_cli_main as it fails for some reason on OBS
* Thu Apr 16 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix all files having executable bit
* Mon Apr  6 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 0.8.2
  * Added warning about Python 2 compatibility being dropped in 1.0.0
  * Officially support Python 3.8
  * Documented a known issue with looking up IP of a local interface on Linux/WSL (See the "Known Issues" section in the README)
  * Added remote host lookup using `arping` as last resort
* Tue Sep 10 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase/full sentences for summary/description.
* Wed Sep  4 2019 Antonio Larrosa <alarrosa@suse.com>
- Initial release of python-getmac 0.8.1
